Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr
Interface RangeIterator

All Superinterfaces:
  java.util.Iterator

All Known Subinterfaces:
  EventIterator, EventListenerIterator, NodeIterator, NodeTypeIterator, PropertyIterator, RowIterator, VersionIterator

      public interface RangeIterator

extends java.util.Iterator

Extends `Iterator` with the `skip`, `getSize` and `getPosition` methods. The base interface of all type-specific iterators in the `javax.jcr` and its subpackages.

Method Summary
`long` `getPosition()` Returns the current position within the iterator.
`long` `getSize()` Returns the number of elements in the iterator.
`void` `skip(long skipNum)` Skip a number of elements in the iterator.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### skip

    void skip(long skipNum)

  Skip a number of elements in the iterator.
  Parameters:
    `skipNum` - the non-negative number of elements to skip
  Throws:
    `java.util.NoSuchElementException` - if skipped past the last element in the iterator.

### getSize

    long getSize()

  Returns the number of elements in the iterator. If this information is unavailable, returns -1.
  Returns:
    a long

### getPosition

    long getPosition()

  Returns the current position within the iterator. The number returned is the 0-based index of the next element in the iterator, i.e. the one that will be returned on the subsequent `next` call. <p/> Note that this method does not check if there is a next element, i.e. an empty iterator will always return 0.
  Returns:
    a long

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.